<html>
<head>
<title>OGRE: Ogre::Angle Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Angle.html">Angle</a></div>
<h1>Ogre::Angle Class Reference</h1><!-- doxytag: class="Ogre::Angle" -->Wrapper class which identifies a value as the currently default angle type, as defined by <a class="el" href="classOgre_1_1Math.html#fb791263d1e8508fc75f698a20d96b87" title="These functions used to set the assumed angle units (radians or degrees) expected...">Math::setAngleUnit</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Angle-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Angle.html#b54f1fbb916c5fd0964ea89ff1d069a2">Angle</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> angle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Angle.html#9fafb5d83c03c4e105cd7ea6334e249b">operator Radian</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Angle.html#432fde2d075b7e2b916a5713a02c9760">operator Degree</a> () const </td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Angle.html#4f9e283b0fda8de8e6599b2766bf2f7f">mAngle</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Wrapper class which identifies a value as the currently default angle type, as defined by <a class="el" href="classOgre_1_1Math.html#fb791263d1e8508fc75f698a20d96b87" title="These functions used to set the assumed angle units (radians or degrees) expected...">Math::setAngleUnit</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Angle.html" title="Wrapper class which identifies a value as the currently default angle type, as defined...">Angle</a> values will be automatically converted between radians and degrees, as appropriate. </dd></dl>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00130">130</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b54f1fbb916c5fd0964ea89ff1d069a2"></a><!-- doxytag: member="Ogre::Angle::Angle" ref="b54f1fbb916c5fd0964ea89ff1d069a2" args="(Real angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Angle::Angle           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>angle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00134">134</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="9fafb5d83c03c4e105cd7ea6334e249b"></a><!-- doxytag: member="Ogre::Angle::operator Radian" ref="9fafb5d83c03c4e105cd7ea6334e249b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Angle::operator <a class="el" href="classOgre_1_1Radian.html">Radian</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00575">575</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#0aaca1a9734a5185bb33650ccf625954">Ogre::Math::AngleUnitsToRadians()</a>, and <a class="el" href="OgreMath_8h-source.html#l00132">mAngle</a>.</p>

</div>
</div><p>
<a class="anchor" name="432fde2d075b7e2b916a5713a02c9760"></a><!-- doxytag: member="Ogre::Angle::operator Degree" ref="432fde2d075b7e2b916a5713a02c9760" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Angle::operator <a class="el" href="classOgre_1_1Degree.html">Degree</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00580">580</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#49496b87d555199f1ce163a6027ee17c">Ogre::Math::AngleUnitsToDegrees()</a>, and <a class="el" href="OgreMath_8h-source.html#l00132">mAngle</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="4f9e283b0fda8de8e6599b2766bf2f7f"></a><!-- doxytag: member="Ogre::Angle::mAngle" ref="4f9e283b0fda8de8e6599b2766bf2f7f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Angle.html#4f9e283b0fda8de8e6599b2766bf2f7f">Ogre::Angle::mAngle</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMath_8h-source.html#l00132">132</a> of file <a class="el" href="OgreMath_8h-source.html">OgreMath.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h-source.html#l00580">operator Degree()</a>, and <a class="el" href="OgreMath_8h-source.html#l00575">operator Radian()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMath_8h-source.html">OgreMath.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:30 2008
</p>
</body>
</html>
